<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {

	global $settings, $main_style, $locale;

	echo "<div style='width:100%;' class='$main_style'>\n";

	//Header
	echo "
	<div id='header'>
		<div id='header-content'>
			<h1 id='logo-text'>".showbanners()."</h1>
			<h2 id='slogan'>".$settings['sitename']."</h2>
			<div id='header-links'>
				<form class='searchform' name='searchform1' method='get' action='".BASEDIR."search.php'>\n
					<input type='text' class='textbox' name='stext' value='' />\n
					<input type='submit' class='button' name='search' value='Suchen' />\n
				</form>
			</div>
		</div>
	</div>";
	//<!-- top navigation starts here -->
	echo "
	<div id='nav-wrap'>
		<div id='nav'>".mg_customsublinks("", "sublinks")."</div>
		<div id='time'>".zeitunddatum(2)."</div>
	</div>";

	//Content
	echo "
	<div id='content-wrap'><div id='content'>";
		if (LEFT) { echo "<div id='sidebar_left'><div class='sepp'></div>".LEFT."</div>"; }
		if (RIGHT) { echo "<div id='sidebar_right'><div class='sepp'></div>".RIGHT."</div>"; }
		echo "<div id='main-bg'><div id='container'>".U_CENTER.CONTENT.L_CENTER."</div></div>";
	echo "</div></div>";

	//Footer
	echo "
	<div id='footer_top'>
		<div id='footer_left'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</div>
		<div id='footer_right'>".showcounter()."</div>
	</div>
	<div id='footer-wrap'>
		<div id='footer-columns'>
			<div class='col3'>
				<h2>Tincidunt</h2>
				<ul>
					<li><a href='index.php'>consequat molestie</a></li>
					<li><a href='index.php'>sem justo</a></li>
					<li><a href='index.php'>semper</a></li>
					<li><a href='index.php'>magna sed purus</a></li>
					<li><a href='index.php'>tincidunt</a></li>
				</ul>
			</div>
			<div class='col3-center'>
				<h2>Sed purus</h2>
				<ul>
					<li><a href='index.php'>consequat molestie</a></li>
					<li><a href='index.php'>sem justo</a></li>
					<li><a href='index.php'>semper</a></li>
					<li><a href='index.php'>magna sed purus</a></li>
					<li><a href='index.php'>tincidunt</a></li>
				</ul>
			</div>
			<div class='col3'>
				<h2>Praesent</h2>
				<ul>
					<li><a href='index.php'>consequat molestie</a></li>
					<li><a href='index.php'>sem justo</a></li>
					<li><a href='index.php'>semper</a></li>
					<li><a href='index.php'>magna sed purus</a></li>
					<li><a href='index.php'>tincidunt</a></li>
				</ul>
			</div>
		<!-- footer-columns ends -->
		</div>

		<div id='footer-bottom'>
			<p>";
			$u1_data = dbarray(dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='1'"));
			$jahr1 = date('Y', $u1_data['user_joined']);
			echo "<!-- Copyright aktuelles Jahr Start -->
			<script type='text/javascript'>
			<!-- Hide from old browsers
				today=new Date();
				y0=today.getFullYear();
			  // end hiding -->
			</script>
			&copy; ".$jahr1." - <script type='text/javascript'>
			  <!--- Hide from old browsers
				document.write(y0);
			  // end hiding -->
			</script>
			<!-- Copyright aktuelles Jahr Ende -->
			<strong>".$settings['siteusername']."</strong> |
			Design by: <a href='http://www.styleshout.com/'>styleshout</a> |
			Theme: <a href='http://phpfusion.marcusg.de' target='_blank' title='by MarcusG' class='copyright'>BluePigment</a>";
			if (!$license) { echo "<br /><br />\n".showcopyright(); }

   		echo "<br /><br />".stripslashes($settings['footer'])."
	  		</p>
		</div>

<!-- footer ends-->";

	echo "</div>\n";
	echo "</div>\n";

}

function render_news($subject, $news, $info) {

	echo "<div class='box floatfix'>";
	echo "<h3>".$subject."</h3>\n";
	echo "<p class='post-by'>".custom_newsposter($info,"")."</p>";
	echo "<p>".$news."</p>";
	echo "<p class='post-footer align-right'>
			".custom_newsopts($info,"")."".custom_itemoptions("N",$info['news_id'])."
					<span class='date'>".showdate("%d.%m.%Y %H:%M:%S", $info['news_date'])."</span>
				</p>";
	echo "</div>\n";

}

function render_article($subject, $article, $info) {

	echo "<div class='box floatfix'>";
	echo "<h3>".$subject."</h3>\n";
	echo "<p class='post-by'>".custom_articleposter($info,"")."</p>";
	echo "<p>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</p>";
	echo "<p class='post-footer align-right'>
			".custom_articleopts($info,"")."".custom_itemoptions("A",$info['article_id'])."
					<span class='date'>".showdate("%d.%m.%Y %H:%M:%S", $info['article_date'])."</span>
				</p>";	
	echo "</div>\n";

}

function opentable($title) {

	echo "<div class='box floatfix'>";
	echo "<h3>".$title."</h3>\n";

}

function closetable() {

	echo "</div>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;

	echo "<div class='border'>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div class='scapmain' style='float:right;'>".panelbutton($state,$boxname)."</div>\n";
	}
	echo "<div class='sidebox'><h4>".$title."</h4>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</div></div>\n";

}

function mg_customsublinks($sep = "&middot;", $class = "") {
	$sres = dbquery(
		"SELECT link_window, link_visibility, link_url, link_name FROM ".DB_SITE_LINKS."
		WHERE ".groupaccess('link_visibility')." AND link_position>='2' AND link_url!='---' ORDER BY link_order ASC"
	);
	if(dbrows($sres)) {
		$i = 0;
		$res = "<ul>\n";

		$sub_link_js = "<script type='text/javascript'>\n$(function() {\n";
		while ($sdata = dbarray($sres)) {
			$sub_link_js .= "$('#a".$i."').mouseover(function() {\n
			$('#li".$i."').addClass('selected');\n});\n
			$('#a".$i."').mouseout(function() {\n
			$('#li".$i."').removeClass('selected');\n});\n";
			$link_target = $sdata['link_window'] == "1" ? " target='_blank'" : "";
			$li_class = "class='".($i == 0 ? "first-link " : "").$class.(current_page($sdata['link_url']) ? " current" : "")."'";
			if (strstr($sdata['link_url'], "http://") || strstr($sdata['link_url'], "https://")) {
				$res .= "<li id='li".$i."'".$li_class.">".$sep."<a id='a".$i."' href='".$sdata['link_url']."'$link_target><span>".$sdata['link_name']."</span></a></li>\n";
			} else {
				$res .= "<li id='li".$i."'".$li_class.">".$sep."<a id='a".$i."' href='".BASEDIR.$sdata['link_url']."'$link_target><span>".$sdata['link_name']."</span></a></li>\n";
			}
			$i++;
		}
		$sub_link_js .= "});\n</script>";
		$res .= "</ul>\n";
		add_to_head($sub_link_js);
		return $res;
	}
}

function current_page($page) {
	$current_page = substr($_SERVER['PHP_SELF'], 1);
	if ($page == $current_page || ($page == "index.php" && $current_page == "news.php")) {
		return true;
	} else {
		return false;
	}
}

function zeitunddatum($type=1)
{
  global $settings;
  $retValue = "";

  switch ($type)
        {
          case 1:
                  $retValue = ucwords(showdate($settings['subheaderdate'], time()));
                  break;
          case 2:
                  $jscript ="<script type='text/javascript'>
                              var ZeitString;
                              function ZeitDatum ()
                              {
                                Jetzt = new Date();
                                //aktuelle Uhrzeit
                                Stunden = Jetzt.getHours();
                                Minuten = Jetzt.getMinutes();
                                Sekunden = Jetzt.getSeconds();
                                ZeitString = Stunden;
                                ZeitString += ((Minuten < 10) ? \":0\" : \":\") + Minuten;
                                ZeitString += ((Sekunden < 10) ? \":0\" : \":\") + Sekunden;
                                document.getElementById('zeit').innerHTML = ZeitString;
                                setTimeout(\"ZeitDatum()\", 1000);
                              }
                              </script>";
                  add_to_head($jscript);
                  $retValue = str_replace(array("May"),array("Mai"),date("d.m.Y")." | <span id=\"zeit\">Zeit</span>");
                  $retValue .= "<script>ZeitDatum();</script>";
                  break;
          default:
                  $retValue = ucwords(showdate($settings['subheaderdate'], time()));
                  break;
        }
  return $retValue;
}

function custom_newsposter($info,$sep = "",$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	$res = $locale['global_070']."<a href='profile.php?lookup=".$info['user_id']."'".$link_class.">".$info['user_name']."</a> ";
	// $res .= $locale['global_071'].showdate("longdate", $info['news_date']);
	$res .= $info['news_ext'] == "y" || $info['news_allow_comments'] ? $sep."\n" : "\n";
	return "<!--news_poster-->".$res;
}

function custom_articleposter($info, $sep = "", $class = "") {
	global $locale; $res = "";
	$link_class = $class ? " class='$class' " : "";
	$res = $locale['global_070']."<a href='profile.php?lookup=".$info['user_id']."'".$link_class.">".$info['user_name']."</a>\n";
	// $res .= $locale['global_071'].showdate("longdate", $info['article_date']);
	$res .= $info['article_allow_comments'] ? $sep."\n" : "\n";
	return "<!--article_poster-->".$res;
}

function custom_newsopts($info, $sep, $class = "") {
	global $locale; $res = "";
	$link_class = $class ? " class='$class' " : "";
	if (!isset($_GET['readmore']) && $info['news_ext'] == "y") $res = "<a class='readmore' href='news.php?readmore=".$info['news_id']."'".$link_class.">".$locale['global_072']."</a> ".$sep." ";
	if ($info['news_allow_comments']) $res .= "<a class='comments' href='news.php?readmore=".$info['news_id']."#comments'".$link_class.">".$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a> ".$sep." ";
	if ($info['news_ext'] == "y" || $info['news_allow_comments']) $res .= "<span class='visits'>".$info['news_reads'].$locale['global_074']."</span>\n";
	$res .= $sep." <a class='print' href='print.php?type=N&amp;item_id=".$info['news_id']."'>".$locale['global_075']."</a>\n";
	return "<!--news_opts-->".$res;
}

function custom_articleopts($info, $sep) {
	global $locale; $res = "";
	if ($info['article_allow_comments']) { $res = "<a class='comments' href='articles.php?article_id=".$info['article_id']."#comments'>".$info['article_comments'].($info['article_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a> ".$sep."\n"; }
	$res .= "<span class='visits'>".$info['article_reads'].$locale['global_074']."</span> ".$sep."\n";
	$res .= "<a class='print' href='print.php?type=A&amp;item_id=".$info['article_id']."'>".$locale['global_075']."</a>\n";
	return "<!--article_opts-->".$res;
}

function custom_itemoptions($item_type, $item_id) {
	global $locale, $aidlink; $res = "";
	if ($item_type == "N") {
		if (iADMIN && checkrights($item_type)) { $res .= "<!--article_news_opts--><a class='edit' href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$item_id."'>".$locale['global_076']."</a>\n"; }
	} elseif ($item_type == "A") {
	if (iADMIN && checkrights($item_type)) { $res .= "<!--article_admin_opts--><a class='edit' href='".ADMIN."articles.php".$aidlink."&amp;action=edit&amp;article_id=".$item_id."'>".$locale['global_076']."</a>\n"; }
	}
	return $res;
}
?>
